Bug 214600 - math/py-matplotlib: Update to 1.5.3
Summary: math/py-matplotlib: Update to 1.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-17 07:53 UTC by Yuri Victorovich
Modified: 2017-08-01 06:27 UTC (History)
2 users (show)

See Also:
mainland: maintainer-feedback+


Attachments
patch (1.39 KB, patch)
2016-11-17 07:53 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-11-17 07:53:04 UTC
Created attachment 177108 [details]
patch

Sourceforge seems to have been discontinued, it doesn't have the latest version any more.

Additionally, 1.5.3 version doesn't build with python-3.X because 'import gtk' which the build tries fails in python3. Therefore, python:2.
Comment 1 mainland 2016-11-21 16:09:37 UTC
I approve the patch.
Comment 2 Kurt Jaeger freebsd_committer 2016-11-22 19:44:20 UTC
testbuilds@work
Comment 3 Kurt Jaeger freebsd_committer 2016-11-22 19:44:47 UTC
Ups, too early for close.
Comment 4 commit-hook freebsd_committer 2016-11-23 05:39:50 UTC
A commit references this bug:

Author: pi
Date: Wed Nov 23 05:39:35 UTC 2016
New revision: 426883
URL: https://svnweb.freebsd.org/changeset/ports/426883

Log:
  math/py-matplotlib: update 1.5.0 -> 1.5.3

  - MASTER_SITE sourceforge seems to have been discontinued,
    it doesn't have the latest version any more.
  - Additionally, 1.5.3 version doesn't build with python-3.X because
    'import gtk' which the build tries fails in python3. Therefore, python:2.

  PR:		214600
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>
  Approved by:	mainland@apeiron.net (maintainer)

Changes:
  head/math/py-matplotlib/Makefile
  head/math/py-matplotlib/distinfo
Comment 5 Kurt Jaeger freebsd_committer 2016-11-23 05:39:59 UTC
Testbuilds are OK, committed, thanks!
Comment 6 commit-hook freebsd_committer 2016-11-23 08:10:00 UTC
A commit references this bug:

Author: pi
Date: Wed Nov 23 08:09:40 UTC 2016
New revision: 426885
URL: https://svnweb.freebsd.org/changeset/ports/426885

Log:
  math/py-matplotlib: really depend on python2.7 and not on the metaport

  PR:		214600
  Submitted by:	koobs

Changes:
  head/math/py-matplotlib/Makefile